Class | Erubis::PreprocessingEruby
In: | erubis/preprocessing.rb
Parent: | Erubis::Eruby

for preprocessing

### Methods

add_expr_escaped new

### Public Class methods

new(input, params={})

[Source]

    # File erubis/preprocessing.rb, line 17
        def initialize(input, params={})
          params = params.dup
          params[:pattern] ||= '\[% %\]'    # use '[%= %]' instead of '<%= %>'
          #params[:escape] = true            # transport '[%= %]' and '[%== %]'
          super
        end

### Public Instance methods

add_expr_escaped(src, code)

[Source]

    # File erubis/preprocessing.rb, line 24
        def add_expr_escaped(src, code)
          add_expr_literal(src, "_decode((#{code}))")
        end

[Validate]